Subject: bug#3224: 23.0.92; vc-dir vs uniquify: wrong directory used

From: Juanma Barranquero <[email-masked]>
Date: Thu, 7 Jan 2010 16:09:48 +0100

On Thu, Jan 7, 2010 at 15:54, Stefan Monnier <[email-masked]> wrote:

> So for vc-dir, you want "*vc-dir*" instead of A, right?  So you want
> file names of the form "/foo/dir-1/*vc-dir*" and "/foo/dir-2/*vc-dir*".

For such dired-style buffers, uniquify uses list-buffers-directory, so
the only way is as I did in the patch I just sent.

Do you want that patch installed, assuming Dan does not oppose it?

> Yes, the docstring has been wrong since day one

Well, I'm glad we agree on this, then.

(As an aside: the previous time we discussed this, you suggested that
`list-buffers-directory' has the wrong name, and also that perhaps it
would be safer/wiser to create another variable for uses like the one
in uniquify. I think we should revisit this issue after the release.)

    Juanma